summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorPatrice Clement <monsieurp@gentoo.org>2018-08-30 15:21:26 +0200
committerPatrice Clement <monsieurp@gentoo.org>2018-09-01 00:12:28 +0200
commit1eb6c88913c9a13ee55c874a1fb52dc05559e92e (patch)
tree1a07c7766733586ae9b5a63fe3b82e3624a22454 /dev-java
parentdev-java/classmate: version bump. (diff)
downloadgentoo-1eb6c88913c9a13ee55c874a1fb52dc05559e92e.tar.gz
gentoo-1eb6c88913c9a13ee55c874a1fb52dc05559e92e.tar.bz2
gentoo-1eb6c88913c9a13ee55c874a1fb52dc05559e92e.zip
dev-java/commons-daemon: version bump.
Package-Manager: Portage-2.3.40, Repoman-2.3.9
Diffstat (limited to 'dev-java')
-rw-r--r--dev-java/commons-daemon/Manifest1
-rw-r--r--dev-java/commons-daemon/commons-daemon-1.1.0.ebuild58
2 files changed, 59 insertions, 0 deletions
diff --git a/dev-java/commons-daemon/Manifest b/dev-java/commons-daemon/Manifest
index e4d584256d5..7db2684e96c 100644
--- a/dev-java/commons-daemon/Manifest
+++ b/dev-java/commons-daemon/Manifest
@@ -1 +1,2 @@
DIST commons-daemon-1.0.15-src.tar.gz 291128 BLAKE2B af874e6a0852c2dc5c84fcbf5e1e443fb880a306b19054263d06e8d83a9b0866a52f2950c457315d80031a58250ec75284fc7839df82b7555b1ff3bd92e67810 SHA512 f20cc8796978fb09b6ecc8d99bb3c8b271b097d74c1f99b286cde213631e7f50a4104f5db2c354f9624ba8b037502d81e327c581b38253b9b216aa2172016e40
+DIST commons-daemon-1.1.0-src.tar.gz 298028 BLAKE2B 5e8a0719467523438559472270ac7038ecce040f2a5a8ea8704e181557df726b9c09267b57336d9659dcb3528fecb8ac61937ef3d56e5cb12b562b88b5f6f218 SHA512 a370085a991cd6b121fcfb49822660dfc0aac19f164677dd2e6373750c1a526ef5a10334a8e075fd965c038198f6638b9e9130b5b13256f4a23a6c5a29959701
diff --git a/dev-java/commons-daemon/commons-daemon-1.1.0.ebuild b/dev-java/commons-daemon/commons-daemon-1.1.0.ebuild
new file mode 100644
index 00000000000..6949a3798a3
--- /dev/null
+++ b/dev-java/commons-daemon/commons-daemon-1.1.0.ebuild
@@ -0,0 +1,58 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+JAVA_PKG_IUSE="doc examples source"
+
+inherit autotools java-pkg-2 java-ant-2
+
+DESCRIPTION="Tools to allow Java programs to run as UNIX daemons"
+SRC_URI="mirror://apache/commons/daemon/source/${P}-src.tar.gz"
+HOMEPAGE="https://commons.apache.org/daemon/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~ppc64 ~x86 ~amd64-linux ~x86-linux ~x86-solaris"
+IUSE="kernel_linux"
+
+CDEPEND="kernel_linux? ( sys-libs/libcap )"
+
+DEPEND="
+ ${CDEPEND}
+ >=virtual/jdk-1.6"
+
+RDEPEND="
+ ${CDEPEND}
+ >=virtual/jre-1.6"
+
+S="${WORKDIR}/${P}-src"
+
+src_prepare() {
+ default
+ cd "${S}/src/native/unix" || die
+ sed -i "s/powerpc/powerpc|powerpc64/g" support/apsupport.m4 || die
+ eautoconf
+}
+
+src_configure() {
+ java-ant-2_src_configure
+ cd "${S}/src/native/unix" || die
+ default
+}
+
+src_compile() {
+ java-pkg-2_src_compile
+ cd "${S}/src/native/unix" || die
+ default
+}
+
+src_install() {
+ dobin src/native/unix/jsvc
+ java-pkg_newjar dist/*.jar
+
+ dodoc README RELEASE-NOTES.txt PROPOSAL.html
+ use doc && java-pkg_dohtml -r dist/docs/*
+ use examples && java-pkg_doexamples src/samples
+ use source && java-pkg_dosrc src/main/java/*
+}